Bug 4931 - Stocktaking must be based on holdingbranch instead of homebranch
Summary: Stocktaking must be based on holdingbranch instead of homebranch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Nahuel Angelinetti
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5574
  Show dependency treegraph
 
Reported: 2010-07-02 13:13 UTC by Nahuel Angelinetti
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Fix for bug 4931 (5.01 KB, patch)
2011-02-02 23:33 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nahuel Angelinetti 2010-07-02 13:13:28 UTC
As in a network of libraries, some libs can loan books to others libs in the network.
For the moment, the stocktaking is based on homebranch, that seems to be bad, because if the book is loaned to another library, the book will be on the list, so the library won't find it.
If the stocktaking is based on holdingbranch, if the book should be present physicaly, it will be shown in the list.
Comment 1 Nicole C. Engard 2010-07-03 13:20:11 UTC
I think it should be an option for libraries to choose which branch the tool looks at (home or holding).  In many libraries that lend to others they do in fact want to do inventory on the home branch to find out what libraries are out at other branches or not on their shelves in general.
Comment 2 Chris Cormack 2010-12-14 07:46:08 UTC
Anyone know the status of this bug?
Comment 3 Chris Cormack 2011-02-02 23:33:47 UTC
Created attachment 3055 [details] [review]
Fix for bug 4931
Comment 4 Chris Cormack 2011-02-03 00:52:05 UTC
Pushed please test